cURL
curl --request POST \
--url http://127.0.0.1:3333/v3/logs/sessions/{sessionId}/logs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clientLogs": [
{
"description": "<string>",
"status": "<string>",
"details": "<string>",
"context": "<string>"
}
]
}
'import requests
url = "http://127.0.0.1:3333/v3/logs/sessions/{sessionId}/logs"
payload = { "clientLogs": [
{
"description": "<string>",
"status": "<string>",
"details": "<string>",
"context": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
clientLogs: [
{
description: '<string>',
status: '<string>',
details: '<string>',
context: '<string>'
}
]
})
};
fetch('http://127.0.0.1:3333/v3/logs/sessions/{sessionId}/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Observability
Save Session Client Logs
Save client logs for a session.
POST
/
v3
/
logs
/
sessions
/
{sessionId}
/
logs
cURL
curl --request POST \
--url http://127.0.0.1:3333/v3/logs/sessions/{sessionId}/logs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clientLogs": [
{
"description": "<string>",
"status": "<string>",
"details": "<string>",
"context": "<string>"
}
]
}
'import requests
url = "http://127.0.0.1:3333/v3/logs/sessions/{sessionId}/logs"
payload = { "clientLogs": [
{
"description": "<string>",
"status": "<string>",
"details": "<string>",
"context": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
clientLogs: [
{
description: '<string>',
status: '<string>',
details: '<string>',
context: '<string>'
}
]
})
};
fetch('http://127.0.0.1:3333/v3/logs/sessions/{sessionId}/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Response
Default Response
⌘I